Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ejb
Class WLRun

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.optional.ejb.WLRun

public class WLRun
extends Task

Execute a Weblogic server.

Author:
  Conor MacNeill, Cortex ebusiness Pty Limited

Field Summary
`protected static java.lang.String` | `DEFAULT_PROPERTIES_FILE`
`protected static java.lang.String` | `DEFAULT_WL51_POLICY_FILE`
`protected static java.lang.String` | `DEFAULT_WL60_POLICY_FILE`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`WLRun()`

Method Summary
`Path` | `createClasspath()` Add the classpath for the user classes
`Path` | `createWLClasspath()` Get the classpath to the weblogic classpaths
`void` | `execute()` Do the work.
`void` | `setArgs(java.lang.String args)`
`void` | `setBEAHome(java.io.File beaHome)` The location of the BEA Home.
`void` | `setClasspath(Path classpath)` Set the classpath to be used for this execution.
`void` | `setDomain(java.lang.String domain)` Set the Domain to run in
`void` | `setHome(java.io.File weblogicHome)` The location where weblogic lives.
`void` | `setJvmargs(java.lang.String args)` Set the additional arguments to pass to the weblogic JVM
`void` | `setName(java.lang.String serverName)` Set the name of the server to run
`void` | `setPassword(java.lang.String password)` Set the management password of the server
`void` | `setPKPassword(java.lang.String pkpassword)` Set the private key password so the server can decrypt the SSL private key file.
`void` | `setPolicy(java.lang.String securityPolicy)` Set the security policy for this invocation of weblogic.
`void` | `setProperties(java.lang.String propertiesFilename)` Set the properties file to use.
`void` | `setUsername(java.lang.String username)` Set the management username to run the server
`void` | `setWeblogicMainClass(java.lang.String c)`
`void` | `setWlclasspath(Path weblogicClasspath)` Set the weblogic classpath.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_WL51_POLICY_FILE

    protected static final java.lang.String DEFAULT_WL51_POLICY_FILE

### DEFAULT_WL60_POLICY_FILE

    protected static final java.lang.String DEFAULT_WL60_POLICY_FILE

### DEFAULT_PROPERTIES_FILE

    protected static final java.lang.String DEFAULT_PROPERTIES_FILE

Constructor Detail

### WLRun

    public WLRun()

Method Detail

### createClasspath

    public Path createClasspath()

  Add the classpath for the user classes

### createWLClasspath

    public Path createWLClasspath()

  Get the classpath to the weblogic classpaths

### execute

    public void execute()
                 throws BuildException

  Do the work. The work is actually done by creating a separate JVM to run a helper task. This approach allows the classpath of the helper task to be set. Since the weblogic tools require the class files of the project's home and remote interfaces to be available in the classpath, this also avoids having to start ant with the class path of the project it is building.
  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

### setClasspath

    public void setClasspath(Path classpath)

  Set the classpath to be used for this execution.
  Parameters:
    `s` - the classpath to use when executing the weblogic server.

### setWlclasspath

    public void setWlclasspath(Path weblogicClasspath)

  Set the weblogic classpath. The weblogic classpath is used by weblogic to support dynamic class loading.
  Parameters:
    `weblogicClasspath` - the weblogic classpath

### setPolicy

    public void setPolicy(java.lang.String securityPolicy)

  Set the security policy for this invocation of weblogic.
  Parameters:
    `securityPolicy` - the security policy to use.

### setHome

    public void setHome(java.io.File weblogicHome)

  The location where weblogic lives.
  Parameters:
    `weblogicHome` - the home directory of weblogic.

### setBEAHome

    public void setBEAHome(java.io.File beaHome)

  The location of the BEA Home.
  Parameters:
    `beaHome` - the BEA Home directory.

### setName

    public void setName(java.lang.String serverName)

  Set the name of the server to run
  Parameters:
    `systemName` - the name of the server.

### setDomain

    public void setDomain(java.lang.String domain)

  Set the Domain to run in
  Parameters:
    `domain` - the domain

### setProperties

    public void setProperties(java.lang.String propertiesFilename)

  Set the properties file to use. The location of the properties file is relative to the weblogi system home
  Parameters:
    `propertiesFilename` - the properties file name

### setJvmargs

    public void setJvmargs(java.lang.String args)

  Set the additional arguments to pass to the weblogic JVM
  Parameters:
    `args` - the arguments to be passed to the JVM

### setUsername

    public void setUsername(java.lang.String username)

  Set the management username to run the server
  Parameters:
    `username` - the management username of the server.

### setPassword

    public void setPassword(java.lang.String password)

  Set the management password of the server
  Parameters:
    `password` - the management pasword of the server.

### setPKPassword

    public void setPKPassword(java.lang.String pkpassword)

  Set the private key password so the server can decrypt the SSL private key file.
  Parameters:
    `pkpassword` - the private key password,

### setArgs

    public void setArgs(java.lang.String args)

### setWeblogicMainClass

    public void setWeblogicMainClass(java.lang.String c)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.